STRIP(1)

NAME
strip - remove unnecessary information from executable files

SYNOPSIS
strip [-dgsx] [-o outfile] file ...

DESCRIPTION
The strip utility deletes the relocation information and symbol table used by assemblers, loaders and debuggers. This significantly decreases the size of the installed binaries and saves disk space.

The options are as follows:

-d | -g
    Delete only debugging and empty symbols.

-o outfile
    Place the stripped output into the specified file instead of modifying the input file. This option requires that only one input file be supplied.

-s  Delete all symbols. This is the default.

-x  Delete only debugging, compiler identification, and local symbols.

When conflicting options are combined, the latter option wins.

EXIT STATUS

SEE ALSO
cc(1), ld(1), stab(5)

STANDARDS
The strip utility is compliant with the p1003.1-2008 specification, though its presence is optional.

The flags [-dgosx] are extensions to that specification.

HISTORY
A strip command appeared in AT&T UNIX.